%define majver %(echo %version | cut -d. -f1-2)

Name:          kdiagram
Version:       2.6.0
Release:       1mamba
Summary:       KDE Frameworks 5 diagram libraries
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/kdiagram/%{version}/src/kdiagram-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 diagram libraries.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 diagram libraries.

%description -n lib%{name}
KDE Frameworks 5 diagram libraries.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name} -f %{name}5_qt.lang
%defattr(-,root,root)
%{_libdir}/libKChart.so.*
%{_libdir}/libKGantt.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KChart
%{_includedir}/KChart/*
%dir %{_includedir}/KGantt
%{_includedir}/KGantt/*
%{_includedir}/*.h
%dir %{_libdir}/cmake/KChart
%{_libdir}/cmake/KChart/*.cmake
%dir %{_libdir}/cmake/KGantt
%{_libdir}/cmake/KGantt/*.cmake
%{_libdir}/libKChart.so
%{_libdir}/libKGantt.so
%{_kde5_mkspecsdir}/qt_KChart.pri
%{_kde5_mkspecsdir}/qt_KGantt.pri

%changelog
* Sat Jan 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- package created using the webbuild interface
